<mat-card>
<mat-card-content class="dummy-table">
  <div class="dummy-table-filter-container">
    <form (submit)="filterData()" [formGroup]="filterForm">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>{{'DUMMY_LIST.FILTER.ITEM' | translate}}</mat-label>
        <input matInput formControlName="filterElement" placeholder="{{ 'DUMMY_LIST.FILTER.ITEM_PLACEHOLDER' | translate }}" >
      </mat-form-field>
      <button mat-flat-button color="primary" type="submit">{{ 'DUMMY_LIST.FILTER.BUTTON_LABEL' | translate }}</button>
    </form>
  </div>
  <table class="dummy-table-container mat-elevation-z8" mat-table [dataSource]="datasource">
    <!-- Name Column -->
    <ng-container matColumnDef="item">
      <th mat-header-cell *matHeaderCellDef> {{ 'DUMMY_LIST.TABLE.ITEM' | translate }} </th>
      <td mat-cell *matCellDef="let element"> {{element.item}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="length">
      <th mat-header-cell *matHeaderCellDef> {{ 'DUMMY_LIST.TABLE.LENGTH' | translate }} </th>
      <td mat-cell *matCellDef="let element"> {{element.length}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
</mat-card-content>
</mat-card>

